## qps 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
Project(qps)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

set(MAJOR_VERSION 2)
set(MINOR_VERSION 1)
set(PATCH_VERSION 0)
set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
add_definitions(
    -DQPS_VERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}"
)

# Minimum Versions
set(LXQTBT_MINIMUM_VERSION "0.7.0")
set(LXQT_MINIMUM_VERSION "0.15.0")
set(QT_MINIMUM_VERSION "5.10.0")

find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5 ${QT_MINIMUM_VERSION} REQUIRED COMPONENTS Widgets X11Extras DBus LinguistTools)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

include(GNUInstallDirs)
include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslateTs)
include(LXQtTranslateDesktop)
include(Qt5TranslationLoader)

# LXQtCompilerSettings adds them but qps still uses implicit string casts
remove_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
)

# Must be defined after including GNUInstallDirs. Move with care.
set(QPS_TRANSLATIONS_DIR
    "${CMAKE_INSTALL_FULL_DATAROOTDIR}/${PROJECT_NAME}/translations"
)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

add_subdirectory(src)

# install the man page
install(FILES qps.1 DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/man/man1")

# install the app icon
install(FILES
    icon/qps.png
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps"
)

=== debian/changelog ===
qps (2.1.0-0ubuntu1) groovy; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Run wrap-and-sort.

  [ Dan Simmons ]
  * Added libkf5windowsystem-dev to build dependendies.
  * Remove tab characters from copyright.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:40:16 -0500

qps (2.0.0-1ubuntu2) groovy; urgency=medium

  * Bumped Standard-Version to 4.5.0, no changes needed
  * Added liblxqt0-dev to build dependencies

 -- apt-ghetto <apt-ghetto@lubuntu.me>  Sun, 26 Apr 2020 11:24:30 +0200

=== debian/control ===
Source: qps
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 12),
               libkf5windowsystem-dev (>= 5.36.0),
               liblxqt0-dev (>= 0.15.0),
               libqt5x11extras5-dev,
               libxrender-dev,
               lxqt-build-tools (>= 0.7.0),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.0
Vcs-Browser: https://phab.lubuntu.me/source/qps/
Vcs-Git: https://phab.lubuntu.me/source/qps.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/qps
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/qps.git
Homepage: https://github.com/lxqt/qps

Package: qps
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt process manager
 Qt process manager ported to Qt5

## qps 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(MAJOR_VERSION 2)
-set(MINOR_VERSION 1)
+set(MINOR_VERSION 2)
 set(PATCH_VERSION 0)
 set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 add_definitions(
@@ -17,9 +17,9 @@
 )
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.7.0")
-set(LXQT_MINIMUM_VERSION "0.15.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(LXQT_MINIMUM_VERSION "0.16.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5 ${QT_MINIMUM_VERSION} REQUIRED COMPONENTS Widgets X11Extras DBus LinguistTools)

=== src/CMakeLists.txt ===
set(SOURCES
    proc.cpp
    qpsapp.cpp
    qps.cpp
    pstable.cpp
    uidstr.cpp
    ttystr.cpp
    dialogs.cpp
    infobar.cpp
    fieldsel.cpp
    wchan.cpp
    prefs.cpp
    lookup.cpp
    details.cpp
    command.cpp
    commandutils.cpp
    commandmodel.cpp
    commanddialog.cpp
    checkboxdelegate.cpp
    execwindow.cpp
    watchcond.cpp
    listmodel.cpp
    watchdogdialog.cpp
    misc.cpp
    trayicon.cpp
    htable.cpp
    qttableview.cpp
)

SET(HEADERS
    qpsapp.h
    qps.h
    pstable.h
    dialogs.h
    fieldsel.h
    prefs.h
    infobar.h
    lookup.h
    details.h
    tablefield.h
    command.h
    commandutils.h
    commandmodel.h
    commanddialog.h
    checkboxdelegate.h
    execwindow.h
    watchcond.h
    listmodel.h
    watchdogdialog.h
    misc.h
    trayicon.h
    htable.h
    qttableview.h
    svec.h
)

set(UIS
    watchdog.ui
    message.ui
)

set(RESOURCES "../qps.qrc")
#-----------------------------------------------------------------------------
# Translations
#-----------------------------------------------------------------------------
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES ${SOURCES} ${HEADERS} ${UIS}
    INSTALL_DIR "${QPS_TRANSLATIONS_DIR}"
)

qt5_translation_loader(
    QM_LOADER
    "${QPS_TRANSLATIONS_DIR}"
    ${PROJECT_NAME}
)

lxqt_translate_desktop(DESKTOP_FILES
    SOURCES "${CMAKE_SOURCE_DIR}/qps.desktop.in"
)
#-----------------------------------------------------------------------------
# End of translations
#-----------------------------------------------------------------------------


add_executable(${PROJECT_NAME}
    ${SOURCES}
    ${HEADERS}
    ${UIS}
    ${QM_FILES}
    ${QM_LOADER}
    ${DESKTOP_FILES}
    ${RESOURCES}
)

target_link_libraries(${PROJECT_NAME}
    lxqt
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::DBus
)

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
)

=== debian/changelog ===
qps (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: update build-deps.
  * debian/copyright: reformatted to fit DEP-5.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 18:36:35 +0800

=== debian/control ===
Source: qps
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               libkf5windowsystem-dev,,
               liblxqt0-dev (>= 0.16.0~),
               libxrender-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.8.0~),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/qps
Vcs-Git: https://salsa.debian.org/lxqt-team/qps.git
Homepage: https://github.com/lxqt/qps

Package: qps
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Qt process manager
 Qt process manager ported to Qt5

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/qps/releases .*/qps-([\d\.]+).tar.xz

## qps 2.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(MAJOR_VERSION 2)
-set(MINOR_VERSION 2)
+set(MINOR_VERSION 3)
 set(PATCH_VERSION 0)
 set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 add_definitions(
@@ -17,8 +17,8 @@
 )
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
-set(LXQT_MINIMUM_VERSION "0.16.0")
+set(LXQTBT_MINIMUM_VERSION "0.9.0")
+set(LXQT_MINIMUM_VERSION "0.17.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -77,6 +77,7 @@
 
 lxqt_translate_desktop(DESKTOP_FILES
     SOURCES "${CMAKE_SOURCE_DIR}/qps.desktop.in"
+    USE_YAML
 )
 #-----------------------------------------------------------------------------
 # End of translations

=== debian/changelog ===
qps (2.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release 2.3.0
  * Update debian control
    - Use liblxqt0-dev 0.17.0
    - Use lxqt-build-tools 0.9.0
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Wed, 18 Aug 2021 16:30:22 +0200

qps (2.2.0-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Bump debhelper-compat (= 13).
    - Update Standards-version to 4.5.1, no changes needed.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sun, 21 Feb 2021 22:14:05 -0500

=== debian/control ===
Source: qps
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libkf5windowsystem-dev (>= 5.36.0),
               liblxqt0-dev (>= 0.17.0),
               libxrender-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.9.0),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.1
Vcs-Browser: https://phab.lubuntu.me/source/qps/
Vcs-Git: https://phab.lubuntu.me/source/qps.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/qps
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/qps.git
Homepage: https://github.com/lxqt/qps

Package: qps
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt process manager
 Qt process manager ported to Qt5

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## qps 2.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(MAJOR_VERSION 2)
-set(MINOR_VERSION 3)
+set(MINOR_VERSION 5)
 set(PATCH_VERSION 0)
 set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 add_definitions(
@@ -17,12 +17,12 @@
 )
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.9.0")
-set(LXQT_MINIMUM_VERSION "0.17.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LXQTBT_MINIMUM_VERSION "0.11.0")
+set(LXQT_MINIMUM_VERSION "1.1.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5 ${QT_MINIMUM_VERSION} REQUIRED COMPONENTS Widgets X11Extras DBus LinguistTools)
+find_package(Qt5 ${QT_MINIMUM_VERSION} REQUIRED COMPONENTS Widgets LinguistTools)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 include(GNUInstallDirs)

=== debian/changelog ===
qps (2.5.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Sep 2022 14:41:03 -0700

qps (2.5.0-1) experimental; urgency=medium

  [ Andrew Lee (李健秋) ]
  * Add debian/salsa-ci.yml file.
  * Update debian/upstream/signing-key.asc.
  * New upstream version 2.4.0

  [ suman rajan ]
  * New upstream version 2.5.0
  * debian/upstream/metadata: Fixed Repository-Browse field
  * debian/control: Bumped version for liblxqt1-dev
  * debian/salsa-ci.yml: Added release for experimental
  * debian/copyright: Fix license inconsistencies

  [ Andrew Lee (李健秋) ]
  * Build-deps on lxqt-build-tools (>= 0.11.0~).

 -- suman rajan <suman@cryptolab.net>  Sat, 16 Jul 2022 17:56:21 +0200

qps (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bumped Standards-Version to 4.6.0, no changes needed
  * Update debian/copyright
 
 -- S. 7 <severusseptimius7@gmail.com>  Thu, 25 Nov 2021 18:19:55 +0200

=== debian/control ===
Source: qps
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           suman rajan <suman@cryptolab.net>
Section: x11
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.1.0~),
               libqt5x11extras5-dev,
               libxrender-dev,
               lxqt-build-tools (>= 0.11.0~),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/qps
Vcs-Git: https://salsa.debian.org/lxqt-team/qps.git
Homepage: https://github.com/lxqt/qps

Package: qps
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt process manager
 Qt process manager ported to Qt5

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## qps 2.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(MAJOR_VERSION 2)
-set(MINOR_VERSION 5)
+set(MINOR_VERSION 6)
 set(PATCH_VERSION 0)
 set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 add_definitions(
@@ -17,8 +17,8 @@
 )
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.11.0")
-set(LXQT_MINIMUM_VERSION "1.1.0")
+set(LXQTBT_MINIMUM_VERSION "0.12.0")
+set(LXQT_MINIMUM_VERSION "1.2.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -97,8 +97,6 @@
 target_link_libraries(${PROJECT_NAME}
     lxqt
     Qt5::Widgets
-    Qt5::X11Extras
-    Qt5::DBus
 )
 
 install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})

=== debian/changelog ===
qps (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2:
    * Add "Rules-Requires-Root: no" in d/control.
  * Remove unnecessary -Wl,--as-needed in d/rules
  * Update d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 12:32:58 +0800

qps (2.5.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Nov 2022 09:45:51 +0800

=== debian/control ===
Source: qps
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
	   suman rajan <suman@cryptolab.net>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libkf5windowsystem-dev,,
               liblxqt1-dev (>= 1.2.0~),
               libxrender-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.12.0~),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/qps
Vcs-Git: https://salsa.debian.org/lxqt-team/qps.git
Homepage: https://github.com/lxqt/qps
Rules-Requires-Root: no

Package: qps
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Qt process manager
 Qt process manager ported to Qt5

## qps 2.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(MAJOR_VERSION 2)
-set(MINOR_VERSION 6)
+set(MINOR_VERSION 7)
 set(PATCH_VERSION 0)
 set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 add_definitions(
@@ -17,7 +17,7 @@
 )
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.12.0")
+set(LXQTBT_MINIMUM_VERSION "0.13.0")
 set(LXQT_MINIMUM_VERSION "1.2.0")
 set(QT_MINIMUM_VERSION "5.15.0")

=== debian/changelog ===
qps (2.7.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Lubuntuify package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 03 Aug 2023 10:43:40 -0500

=== debian/control ===
Source: qps
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
	   suman rajan <suman@cryptolab.net>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libkf5windowsystem-dev,,
               liblxqt1-dev (>= 1.3.0),
               libxrender-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.13.0),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/qps-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/qps-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/qps
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/qps.git
Homepage: https://github.com/lxqt/qps
Rules-Requires-Root: no

Package: qps
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Qt process manager
 Qt process manager ported to Qt5

## qps 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(MAJOR_VERSION 2)
-set(MINOR_VERSION 7)
+set(MINOR_VERSION 8)
 set(PATCH_VERSION 0)
 set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 add_definitions(
@@ -18,7 +18,7 @@
 
 # Minimum Versions
 set(LXQTBT_MINIMUM_VERSION "0.13.0")
-set(LXQT_MINIMUM_VERSION "1.2.0")
+set(LXQT_MINIMUM_VERSION "1.4.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
@@ -61,3 +61,6 @@
     icon/qps.png
     DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps"
 )
+# install the
+install(FILES org.lxqt.Qps.appdata.xml
+    DESTINATION "${CMAKE_INSTALL_DATADIR}/metainfo")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,15 +12,8 @@
     prefs.cpp
     lookup.cpp
     details.cpp
-    command.cpp
-    commandutils.cpp
-    commandmodel.cpp
-    commanddialog.cpp
     checkboxdelegate.cpp
-    execwindow.cpp
     watchcond.cpp
-    listmodel.cpp
-    watchdogdialog.cpp
     misc.cpp
     trayicon.cpp
     htable.cpp
@@ -38,25 +31,13 @@
     lookup.h
     details.h
     tablefield.h
-    command.h
-    commandutils.h
-    commandmodel.h
-    commanddialog.h
     checkboxdelegate.h
-    execwindow.h
     watchcond.h
-    listmodel.h
-    watchdogdialog.h
     misc.h
     trayicon.h
     htable.h
     qttableview.h
     svec.h
-)
-
-set(UIS
-    watchdog.ui
-    message.ui
 )
 
 set(RESOURCES "../qps.qrc")
@@ -65,7 +46,7 @@
 #-----------------------------------------------------------------------------
 lxqt_translate_ts(QM_FILES
     UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
-    SOURCES ${SOURCES} ${HEADERS} ${UIS}
+    SOURCES ${SOURCES} ${HEADERS}
     INSTALL_DIR "${QPS_TRANSLATIONS_DIR}"
 )
 
@@ -87,7 +68,6 @@
 add_executable(${PROJECT_NAME}
     ${SOURCES}
     ${HEADERS}
-    ${UIS}
     ${QM_FILES}
     ${QM_LOADER}
     ${DESKTOP_FILES}

=== debian/changelog ===
qps (2.8.0-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream version 2.8.0.
  * debian/control: build-deps on liblxqt1-dev (>= 1.4.0~).

  [ ChangZhuo Chen (陳昌倬) ]
  * Update d/copyright.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 12 Dec 2023 11:42:40 +0100

qps (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0.
  * debian/control: update team address.
  * debian/control: build-deps on liblxqt1-dev (>= 1.3.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 0.13.0~).
  * debian/copyright: update.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/rules: fix blhc error by added ignore-line-regexp.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Sep 2023 11:27:56 +0200

=== debian/control ===
Source: qps
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
	   suman rajan <suman@cryptolab.net>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libkf5windowsystem-dev,,
               liblxqt1-dev (>= 1.4.0~),
               libxrender-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.13.0~),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/qps
Vcs-Git: https://salsa.debian.org/lxqt-team/qps.git
Homepage: https://github.com/lxqt/qps
Rules-Requires-Root: no

Package: qps
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Qt process manager
 Qt process manager ported to Qt5

## qps 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -9,7 +9,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(MAJOR_VERSION 2)
-set(MINOR_VERSION 8)
+set(MINOR_VERSION 9)
 set(PATCH_VERSION 0)
 set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 add_definitions(
@@ -17,20 +17,20 @@
 )
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.13.0")
-set(LXQT_MINIMUM_VERSION "1.4.0")
-set(QT_MINIMUM_VERSION "5.15.0")
+set(LXQTBT_MINIMUM_VERSION "2.0.0")
+set(LXQT_MINIMUM_VERSION "2.0.0")
+set(QT_MINIMUM_VERSION "6.6.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5 ${QT_MINIMUM_VERSION} REQUIRED COMPONENTS Widgets LinguistTools)
-find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6 ${QT_MINIMUM_VERSION} REQUIRED COMPONENTS Widgets LinguistTools)
+find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 include(GNUInstallDirs)
 include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
-include(Qt5TranslationLoader)
+include(Qt6TranslationLoader)
 
 # LXQtCompilerSettings adds them but qps still uses implicit string casts
 remove_definitions(

=== debian/changelog ===
qps (2.9.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.9.0
  * debian/control: bump Standards-Version to 4.7.0, no changes needed.
  * debian/control: bump Qt version in Description
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt2-dev
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on lxqt-build-tools (>= 2.0.0+really2.0.0~)
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev
  * debian/control: bump dep on qttools5-dev-tools -> qt6-tools-dev-tools

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/control: build-deps on liblxqt-dev (>= 2.0.0~).
  * debian/copyright: update.
  * debian/control: build-deps on libglib2.0-dev.
  * debian/salsa-ci.yml: disable tests that not supported builds in
    experimental.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 22 Sep 2024 11:12:48 +0200

=== debian/control ===
Source: qps
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libglib2.0-dev,
               libkf6windowsystem-dev,
               liblxqt-dev (>= 2.0.0~),
               libxrender-dev,
               lxqt-build-tools (>= 2.0.0+really2.0.0~),
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/qps
Vcs-Git: https://salsa.debian.org/lxqt-team/qps.git
Homepage: https://github.com/lxqt/qps
Rules-Requires-Root: no

Package: qps
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Qt process manager
 Qt process manager ported to Qt6

## qps 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(MAJOR_VERSION 2)
-set(MINOR_VERSION 9)
+set(MINOR_VERSION 10)
 set(PATCH_VERSION 0)
 set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 add_definitions(
@@ -17,8 +17,8 @@
 )
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "2.0.0")
-set(LXQT_MINIMUM_VERSION "2.0.0")
+set(LXQTBT_MINIMUM_VERSION "2.1.0")
+set(LXQT_MINIMUM_VERSION "2.1.0")
 set(QT_MINIMUM_VERSION "6.6.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
qps (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0.
  * debian/copyright: added myself.
  * build-deps on liblxqt-dev (>= 2.1.0~).
  * build-deps on lxqt-build-tools (>= 2.1.0~).

 -- Macy Lin <macy@debconf.org>  Wed, 04 Dec 2024 21:29:34 +0100

qps (2.9.0-1) unstable; urgency=medium

  * Migrate to unstable.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 21:16:09 +0100

=== debian/control ===
Source: qps
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Macy Lin <macy@debconf.org>
Section: x11
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libglib2.0-dev,
               libkf6windowsystem-dev,
               liblxqt-dev (>= 2.1.0~),
               libxrender-dev,
               lxqt-build-tools (>= 2.1.0~),
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/qps
Vcs-Git: https://salsa.debian.org/lxqt-team/qps.git
Homepage: https://github.com/lxqt/qps
Rules-Requires-Root: no

Package: qps
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt process manager
 Qt process manager ported to Qt6

## qps 2.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,16 +9,16 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(MAJOR_VERSION 2)
-set(MINOR_VERSION 10)
-set(PATCH_VERSION 0)
+set(MINOR_VERSION 11)
+set(PATCH_VERSION 1)
 set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 add_definitions(
     -DQPS_VERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}"
 )
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "2.1.0")
-set(LXQT_MINIMUM_VERSION "2.1.0")
+set(LXQTBT_MINIMUM_VERSION "2.2.0")
+set(LXQT_MINIMUM_VERSION "2.2.0")
 set(QT_MINIMUM_VERSION "6.6.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -50,7 +50,7 @@
     INSTALL_DIR "${QPS_TRANSLATIONS_DIR}"
 )
 
-qt5_translation_loader(
+qt6_translation_loader(
     QM_LOADER
     "${QPS_TRANSLATIONS_DIR}"
     ${PROJECT_NAME}
@@ -76,7 +76,7 @@
 
 target_link_libraries(${PROJECT_NAME}
     lxqt
-    Qt5::Widgets
+    Qt6::Widgets
 )
 
 install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})

=== debian/changelog ===
qps (2.11.1-1) unstable; urgency=medium

  * New upstream version 2.11.1. (Closes: #1097705)
  * debian/copyright: update.
  * debian/control: build-deps on liblxqt-dev (>= 2.2.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.

 -- Macy Lin <macy@debconf.org>  Sat, 16 Aug 2025 15:01:59 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                debhelper-compat (= 13),
                libglib2.0-dev,
                libkf6windowsystem-dev,
-               liblxqt-dev (>= 2.1.0~),
+               liblxqt-dev (>= 2.2.0~),
                libxrender-dev,
-               lxqt-build-tools (>= 2.1.0~),
+               lxqt-build-tools (>= 2.2.0~),
                qt6-tools-dev,
                qt6-tools-dev-tools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qps
 Vcs-Git: https://salsa.debian.org/lxqt-team/qps.git
 Homepage: https://github.com/lxqt/qps

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"

## qps 2.12.0

=== debian/changelog ===
qps (2.12.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5

  [ Joel Orón Valiente ]
  * Team upload.
  * New upstream version 2.12.0
  * debian/control: Drop Priority: optional(now defaults).
  * debian/control: Bump standards version 4.7.3.
  * debian/control: Drop Rules-Requires-Root: no(now defaults).
  * debian/copyright: Amend QPL-1.0 to QPL.
  * debian/control: Run wrap-and-sort.
  * debian/copyright: Add myself.

 -- Joel Orón Valiente <moded3v@gmail.com>  Thu, 01 Jan 2026 01:41:21 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            Macy Lin <macy@debconf.org>
 Section: x11
-Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                libglib2.0-dev,
                libkf6windowsystem-dev,
                liblxqt-dev (>= 2.2.0~),
@@ -14,11 +13,10 @@
                lxqt-build-tools (>= 2.2.0~),
                qt6-tools-dev,
                qt6-tools-dev-tools
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qps
 Vcs-Git: https://salsa.debian.org/lxqt-team/qps.git
 Homepage: https://github.com/lxqt/qps
-Rules-Requires-Root: no
 
 Package: qps
 Architecture: linux-any
